
* EXAMPLE 1 - write your own CHARACTER format;

data test;
input id : $5. drg : $3. @@;
datalines;
12345 001 34567 005 67890 310 99999 002 87654 004
;
run;

proc format;
value $drg
'001' = 'CRANIOTOMY AGE >17 EXCEPT FOR TRAUMA'
'002' = 'CRANIOTOMY FOR TRAUMA AGE >17'
'004' = 'SPINAL PROCEDURES'
'005' = 'EXTRACRANIAL VASCULAR PROCEDURES'
other = 'UNKNOWN';
;
* select $drg;
run;

title 'EXAMPLE 1 - FORMAT CREATED BY KEYING VALUES AND LABELS';
proc report data=test nowd;
columns id drg drg=drglabel;
define drglabel / format=$drg.;
run;
