
* EXAMPLE 11 - ADD SEVERAL VARIABLES TO A DATA SET USING A CNTLIN DATA SET;

data selectssns / view=selectssns;
length label $ 18.;
retain fmtname 'addmany';

infile 'i:\workshops\hw08\data\getssnsb.dat' end=last;

if last then do;
   hlo = 'o';
   label = 'X';
   output;
end;

input start : comma11. gender : $1. zip : $5. salary : $10.;
 
label = catx('/',gender,zip,salary);  
output;

drop gender zip salary;
run;

title "OBSERVATIONS IN CNTLIN DATA SET 'SELECTSSNS'";
proc print data=selectssns (firstobs=500); 
run;

proc format cntlin=selectssns;
*select addmany;
run;

data goodssns (drop=info);
length gender $1 zip $5; 

infile 'i:\workshops\hw08\data\lotassns.dat';
input ssn comma11. record $6.
;
info = put(ssn,addmany.);  
if info ne: 'X'; 
 
gender = scan(info,1,'/');  
zip    = scan(info,2,'/');
salary = input(scan(info,3,'/'),best.);
 
format ssn ssn. salary dollar10.;
run;

title 'EXAMPLE 11 - RECORD SELECTION PLUS ADD THREE VARIABLES USING A CNTLIN DATA SET';
proc print data=goodssns (obs=10);
var ssn record gender zip salary;
run;
