
* EXAMPLE 6 - USE THE PUTN FUNCTION TO ADD A NEW VARIABLE TO A DATA SET 
              DIFFERENT RULES FOR DIFFERENT AGE GROUPS;

proc format;  
value age2_  low - 17.9 = 'normal'  18   - 19.0 = 'risk'  19.1 - high = 'overweight';
value age3_  low - 17.1 = 'normal'  17.2 - 18.1 = 'risk'  18.2 - high = 'overweight';
value age4_  low - 16.7 = 'normal'  16.8 - 17.9 = 'risk'  18.0 - high = 'overweight';
value age5_  low - 16.7 = 'normal'  16.8 - 18.1 = 'risk'  18.2 - high = 'overweight';
run;

data bmi;
*length bmi_group $10;

input age_group : $1. bmi @@;
bmi_group = putn(bmi,cat('age',age_group,'_'));  

datalines;
2 17.8 5 16.7 2 18.6 3 17.6 4 17.0 3 18.2 4 18.0
;
run;

* WHAT IS THE DEFAULT LENGTH OF THE NEW VARIABLE;

proc contents data=bmi;
run;

title 'EXAMPLE 6 - BMI_GROUP ADDED USING THE PUTN FUNCTION';
proc print data=bmi;
run;
