
* EXAMPLE 15 - MULTILABEL FORMAT;

* CREATE A FORMAT WITH OVERLAPPING RANGES - USED THE MULTILABEL OPTION;

proc format;
value age (multilabel)
11 - 13 = '11-13' 
11      = '   11' 
12      = '   12' 
13      = '   13'
14 - 16 = '14-16'
14      = '   14'
15      = '   15'
16      = '   16'
low - high = 'TOTAL'
;
run;

title 'EXAMPLE 15 - PROC MEANS USING THE MULTILABEL FORMAT WITHOUT OPTIONS';
proc means data=sashelp.class mean maxdec=1;
var weight;
class age;
format age age.;
run;

title1 'EXAMPLE 15 - PROC MEANS USING THE MULTILABEL FORMAT WITH MLF OPTION'; 
title2 'SORTED BY FORMATTED VALUE';
proc means data=sashelp.class mean maxdec=1;
var weight;
class age / mlf;
format age age.;
run;
